__gnu_cxx::random_condition(3)

NAME
__gnu_cxx::random_condition -

SYNOPSIS

Inherits __gnu_cxx::condition_base.

Inherited by __gnu_cxx::throw_allocator_base< _Tp, random_condition >, and __gnu_cxx::throw_value_base< random_condition >.

  Classes
struct always_adjustor
struct group_adjustor
struct never_adjustor

  Public Member Functions
void seed (unsigned long __s)

  Static Public Member Functions
static void set_probability (double __p)
static void throw_conditionally ()

Detailed Description

Base class for random probability control and throw.

Definition at line 484 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.